## org.apache.batik.ext.awt.image.codec.imageio
Class ImageIOPNGRegistryEntry

    java.lang.Object
      org.apache.batik.ext.awt.image.spi.AbstractRegistryEntry
          org.apache.batik.ext.awt.image.spi.MagicNumberRegistryEntry
              org.apache.batik.ext.awt.image.codec.imageio.AbstractImageIORegistryEntry
                  org.apache.batik.ext.awt.image.codec.imageio.ImageIOPNGRegistryEntry

All Implemented Interfaces:
  ErrorConstants, RegistryEntry, StreamRegistryEntry

    public class ImageIOPNGRegistryEntry

extends AbstractImageIORegistryEntry

RegistryEntry implementation for loading PNG images through Image I/O.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.ext.awt.image.spi.MagicNumberRegistryEntry
`MagicNumberRegistryEntry.MagicNumber`

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.spi.MagicNumberRegistryEntry
`PRIORITY`

Fields inherited from interface org.apache.batik.ext.awt.image.spi.ErrorConstants
`ERR_STREAM_FORMAT_UNREADABLE, ERR_STREAM_UNREADABLE, ERR_URL_FORMAT_UNREADABLE, ERR_URL_UNINTERPRETABLE, ERR_URL_UNREACHABLE, RESOURCES`

Constructor Summary
`ImageIOPNGRegistryEntry()`

Method Summary

Methods inherited from class org.apache.batik.ext.awt.image.codec.imageio.AbstractImageIORegistryEntry
`handleStream`

Methods inherited from class org.apache.batik.ext.awt.image.spi.MagicNumberRegistryEntry
`getReadlimit, isCompatibleStream`

Methods inherited from class org.apache.batik.ext.awt.image.spi.AbstractRegistryEntry
`getFormatName, getMimeTypes, getPriority, getStandardExtensions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.ext.awt.image.spi.RegistryEntry
`getFormatName, getMimeTypes, getPriority, getStandardExtensions`

Constructor Detail

### ImageIOPNGRegistryEntry

    public ImageIOPNGRegistryEntry()

Copyright © 2008 Apache Software Foundation. All Rights Reserved.